%define libmajor	1
%define libname		%mklibname %{name} %{libmajor}
%define libname_devel	%mklibname %{name} -d

Summary:	Arithmetic of univariate polynomials over arbitrary precision real (Mpfr) or complex (Mpc) numbers
Name:		mpfrcx
Version:	0.4.1
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.multiprecision.org/%{name}
Source0:	http://www.multiprecision.org/mpfrcx/download/%{name}-%{version}.tar.gz
BuildRequires:	libgmp-devel >= 4.3.2
BuildRequires:	libmpfr-devel >= 2.4.2
BuildRequires:	libmpc-devel >= 1.0

%description
Mpfrcx is a library for the arithmetic of univariate polynomials over
arbitrary precision real (Mpfr) or complex (Mpc) numbers, without control
on the rounding. For the time being, only the few functions needed to
implement the floating point approach to complex multiplication are implemented.
On the other hand, these comprise asymptotically fast multiplication routines
such as Toom-Cook and the FFT.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
Mpfrcx is a library for the arithmetic of univariate polynomials over
arbitrary precision real (Mpfr) or complex (Mpc) numbers, without control
on the rounding. For the time being, only the few functions needed to
implement the floating point approach to complex multiplication are implemented.
On the other hand, these comprise asymptotically fast multiplication routines
such as Toom-Cook and the FFT.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for MPFRCX
Group:		Development/C
Requires(post):	info-install
Requires(preun):info-install
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for MPFRCX.

%prep
%setup -q

%build
%configure2_5x			\
	--enable-shared		\
	--disable-static

%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/libmpfrcx.so.%{libmajor}*

%files -n %{libname_devel}
%{_includedir}/mpfrcx.h
%{_infodir}/mpfrcx.info*
%{_libdir}/libmpfrcx.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-3.mga4
+ Revision: 508059
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 360420
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 303286
- drop .la file
- new version 0.4.1

  + blino <blino>
    - rebuild to get info pages as xz instead of lzma

* Mon Jan 31 2011 dmorgan <dmorgan> 0.3.1-2.mga1
+ Revision: 45342
- imported package mpfrcx


* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.3.1-2mdv2011.0
+ Revision: 634374
- update url

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.3.1-1
+ Revision: 634350
- new version 0.3.1

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdv2011.0
+ Revision: 612943
- the mass rebuild of 2010.1 packages

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 0.2-2mdv2010.1
+ Revision: 503575
- rebuild for new gmp

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.2-1mdv2010.1
+ Revision: 489834
- Import mpfrcx version 0.2.
- mpfrcx

